// (c) 2005 Martin Aumueller <aumuell@reserv.at>
// See COPYING file for licensing information

#include "taglib_mp4filetyperesolver.h"
#include "mp4file.h"

#include <src/audio.hh> 

TagLib::File *MP4FileTypeResolver::createFile (const char *filename,
                                               bool        readProperties,
                                               TagLib::AudioProperties::ReadStyle propertiesStyle) const
{
    std::string type;

    if (!Bmp::Audio::typefind (filename, type)) return 0;

    if (type == "audio/x-m4a")
      {
        return new TagLib::MP4::File(filename, readProperties, propertiesStyle);
      }
    return 0;
}
